%define xmms_generaldir %(xmms-config --general-plugin-dir 2>/dev/null || echo %{_libdir}/xmms/General)

Summary: X MultiMedia System control plugin to use infrared devices
Name: xmms-lirc
Version: 1.4
Release: 9%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.lirc.org/
Source: http://dl.sf.net/lirc/lirc-xmms-plugin-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: xmms
BuildRequires: xmms-devel, lirc-devel


%description
LIRC (Linux Infrared Remote Control) plugin for XMMS (X Multimedia System).


%prep
%setup -n lirc-xmms-plugin-%{version}


%build
%configure --libdir=%{xmms_generaldir}
%{__make} %{?_smp_mflags} CFLAGS="%{optflags}"


%install
%{__rm} -rf %{buildroot}
%makeinstall libdir=%{buildroot}%{xmms_generaldir}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%exclude %{xmms_generaldir}/liblirc.la
%{xmms_generaldir}/liblirc.so


%changelog
* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 1.4-9
- FC6 rebuild.

* Wed May 31 2006 Matthias Saou <http://freshrpms.net/> 1.4-8
- Add explicit xmms requirement (#193599).

* Mon Feb 13 2006 Matthias Saou <http://freshrpms.net/> 1.4-7
- Rebuild for new gcc/glibc.
- Spec file cleanup.
- Override CFLAGS to have ours used.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.4-6
- rebuild on all arches

* Wed Mar 30 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.4-5
- BuildRequire lirc-devel.

* Thu Jan 13 2005 Matthias Saou <http://freshrpms.net/> 1.4-4
- Bump release for upgrade path.

* Wed May 19 2004 Matthias Saou <http://freshrpms.net/> 1.4-3
- Rebuilt for Fedora Core 2.

* Wed Jan  7 2004 Matthias Saou <http://freshrpms.net/> 1.4-2
- Rebuilt for Fedora Core 1.

* Wed May 14 2003 Matthias Saou <http://freshrpms.net/>
- Update to 1.4.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Update to 1.3.
- Rebuilt for Red Hat Linux 9.
- Exclude .la file.

* Wed Oct  9 2002 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 8.0.

* Fri May  3 2002 Matthias Saou <http://freshrpms.net/>
- Changed the xmms General dir to be expanded from xmms-config (cleaner).
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Fri Oct  5 2001 Matthias Saou <http://freshrpms.net/>
- Initial RPM release.

